#!/bin/sh

# remove driver
rm -rf /Library/Audio/Plug-Ins/HAL/DriveThrough.driver

# get current directory path
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# install the new driver
mkdir -p /Library/Audio/Plug-Ins/HAL
cp -R "$DIR/DriveThrough.driver.zip" /Library/Audio/Plug-Ins/HAL/
unzip /Library/Audio/Plug-Ins/HAL/DriveThrough.driver.zip -d /Library/Audio/Plug-Ins/HAL/
rm -rf /Library/Audio/Plug-Ins/HAL/DriveThrough.driver.zip
rm -rf /Library/Audio/Plug-Ins/HAL/__MACOSX

kill `ps -ax | grep 'coreaudiod' | grep 'sbin' |awk '{print $1}'`
